Skip to content
Sign in

List file previews

GET/v1/files/previews

Read service-rendered previews for up to 50 retained revisions. Revisions without a preview are omitted or reported as pending or unavailable.

AuthorizationBearer <token>

In: header

Query parameters

workplaceId*string
Format:uuid
revisionIds*string

Comma-separated revision UUIDs, at most 50.

Response body

application/json

application/json

application/json

curl -X GET 'https://example.com/v1/files/previews?workplaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08&revisionIds=string'
{
  "previews": [
    {
      "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",
      "state": "ready",
      "contentType": "image/webp",
      "data": "string"
    }
  ]
}